Bug 115357 - (Action Reqest Sytem) REMEDY user Client crash after opening
(Action Reqest Sytem) REMEDY user Client crash after opening
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: metacity (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2004-02-11 04:55 EST by Dirk Rydvan
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-25 15:33:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dirk Rydvan 2004-02-11 04:55:35 EST
Description of problem:

We use RedHat WS 3 UPDATE1 with default GNOME and metacity.

We start over an Telnet session same programms from a SUN Server.
For example xterm, netscape etc. It works fine. But if we start
Action Request System Remedy user (Version 4.05.01) it starts,
we see die Window, the frame, and de menubar form the programm.
after 1 second it crash without a message.

It occours only with metacity. It woks with ICE, FVWM, and so on.

Version-Release number of selected component (if applicable):


How reproducible:

start over X11 ARS Remady User

Steps to Reproduce:

# xhost +
# telnet SERVER



#  aruser -d /opt/remedy/arHome/arcmds -i MASK -p % = SERVER


Actual results:

Window with frame to see for a short time.
You can sie fo a short time the menubar form REMEDY
after this it crash

Expected results:

it should work like FVWM, ICE etc.
the window should stay open.

Additional info:
Comment 1 Dirk Rydvan 2004-02-19 03:53:16 EST
The log of Remedy Clienet (aruser) says:

X Error of failed request:  BadAccess (attempt to access private
resource denied)
  Major opcode of failed request:  28 (X_GrabButton)
  Serial number of failed request:  10800
  Current serial number in output stream:  10879
Comment 2 Havoc Pennington 2004-05-25 15:33:23 EDT
This is 99% likely a bug in the remedy client, making unwarranted
assumptions about the window manager.

If there's some way we can access the source code of the remedy client
we may be able to debug exactly what goes wrong. Otherwise the remedy
authors will need to debug this.

Note You need to log in before you can comment on or make changes to this bug.